Callbacks Count API
3 min
The Count Callback / Webhook API will allow you to fetch success, failure, and total callback counts for your company within the given time range. For example, if you add the load number in the request parameter, the API will return the Success count, Failure count, and Total count (Success + Failure) for that particular load number.
Generate an API key for Callback Count API using the WebHooks bundle within the Developer Portal.
Rate Limit
Depends on the Time Range provided
Format Supported
JSON
Authenticated Resource
API Key
For more information on Authentication, click here.
Production
POST
https://api.fourkites.com/api/v1/callbacks/get_callbacks_count
curl --location --request POST 'https://api.fourkites.com/api/v1/callbacks/get_callbacks_count' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw '{
"companyId": "roseshipper",
"status": ["success" , "error"],
"eventTypes": ["LOAD_CREATION"],
"searchIdentifier": "" ,
"endpoint": ["https://webhook.site/0d6e5a3c-22ef-4e72-8568-321f18b0fad3"],
"processedFrom": "2024-03-14 00:50:08",
"processedTo": "2024-03-14 23:55:08"
}'Staging
POST
https://api-staging.fourkites.com/api/v1/callbacks/get_callbacks_count
curl --location --request POST 'https://api-staging.fourkites.com/api/v1/callbacks/get_callbacks_count' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw '{
"companyId": "roseshipper",
"status": ["success" , "error"],
"eventTypes": ["LOAD_CREATION"],
"searchIdentifier": "" ,
"endpoint": ["https://webhook.site/0d6e5a3c-22ef-4e72-8568-321f18b0fad3"],
"processedFrom": "2024-03-14 00:50:08",
"processedTo": "2024-03-14 23:55:08"
}'